Foreman prefers PXEGrub2 UEFI loader for generic host
Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Host creation   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.18.0-RC1

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5691,

https://github.com/theforeman/foreman/p

ull/5702

  

Description

When new bare-metal host is created and all PXE template kinds are associated and set for selected OS, Foreman sets PXE loader

in this order:

PXEGrub2 UEFI

PXELinux BIOS

PXEGrub UEFI

We should still prefer BIOS as the primary options because this can end up with hosts not booting for users with BIOS-PXE workflow

which is still the most used one.

Associated revisions

Revision b7fc06c4 - 06/18/2018 07:22 AM - Lukas Zapletal

Fixes #23930 - PXELinux loader is now preferred

History

#1 - 06/14/2018 09:58 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5691 added

#2 - 06/14/2018 10:13 AM - Lukas Zapletal

- translation missing: en.field_release set to 330

#3 - 06/15/2018 05:27 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5702 added

#4 - 06/18/2018 08:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b7fc06c4aadd247c522b757e01e5992749ad9b16.
